package com.simuwang.daq.components.report.parser.pdf;

import com.simuwang.base.mapper.EmailFieldMappingMapper;
import com.simuwang.base.pojo.dto.report.QuarterlyReportData;
import com.simuwang.base.pojo.dto.report.ReportFundInfoDTO;
import com.simuwang.base.pojo.dto.report.ReportParserParams;
import com.simuwang.daq.components.report.parser.ReportParserConstant;
import org.springframework.stereotype.Component;
import technology.tabula.Table;

import java.util.List;

@Component(ReportParserConstant.PARSER_PDF_QUARTERLY)
public class PDQuarterlyReportParser extends AbstractPDReportParser<QuarterlyReportData> {
    public PDQuarterlyReportParser(EmailFieldMappingMapper fieldMappingMapper) {
        super(fieldMappingMapper);
    }

    @Override
    public String getParser() {
        return ReportParserConstant.PARSER_PDF_QUARTERLY;
    }

    @Override
    protected void initTableInfo(List<Table> tables) {

    }

    @Override
    protected ReportFundInfoDTO parseFundInfo(ReportParserParams params) {
        return null;
    }

    @Override
    protected QuarterlyReportData parseExtInfoAndSetData(String reportName, ReportFundInfoDTO fundInfo, ReportParserParams params) {
        return null;
    }
}
